Bug 39595 - Split univention-postgresql into binary packages for each version
Split univention-postgresql into binary packages for each version
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: PostgreSQL
UCS 4.1
Other Linux
: P5 normal (vote)
: UCS 4.1
Assigned To: Janek Walkenhorst
Philipp Hahn
: interim-2
: 37417 39858 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-19 19:23 CEST by Janek Walkenhorst
Modified: 2015-11-17 12:40 CET (History)
5 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments
Prefer 8.4 before 9.1 (2.75 KB, patch)
2015-11-06 14:55 CET, Philipp Hahn
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Janek Walkenhorst univentionstaff 2015-10-19 19:23:26 CEST
univention-postgresql should be split into packages like univention-postgresql-9.1 each supplying only the configuration for that specific postgresql-package and the pre-dependency.

Because the configuration needs to be installed after the postgresql-package to not break future installation of postgresql-packages.

+++ This bug was initially created as a clone of Bug #37417 +++

A system installed an app that depended on postgres. The configuration of the packages failed.
Comment 1 Janek Walkenhorst univentionstaff 2015-10-19 19:37:07 CEST
univention-postgresql (7.1.0-1) unstable; urgency=medium

  * Update for UCS 4.1 (Bug #39595)
  * Split into multiple binary packages for different PostgreSQL versions (Bug #39595)
  * Remove support for old PostgreSQL versions (Bug #39595)
Comment 2 Janek Walkenhorst univentionstaff 2015-10-27 19:06:56 CET
univention-postgresql (8.0.0-6) now correctly removes the old templates during the upgrade to 4.1.
Comment 3 Stefan Gohmann univentionstaff 2015-10-31 09:22:42 CET
The check-log-files test case found some errors, see for example here:

http://jenkins.knut.univention.de:8080/job/UCS-4.1/job/UCS-4.1-0/job/Autotest%20MultiEnv%20from%204.0/lastCompletedBuild/SambaVersion=s3,Systemrolle=master/testReport/00_checks/99check_log_files/test/

If the messages are no problem, please add the messages to the ignore list here:
 ucs-4.1/ucs-4.1-0/test/ucs-test/tests/00_checks/check_log_files_definitions.py

The messages marked as errors by the test case:

[2015-10-30 16:04:03.392089] E: updater.log:5648, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.392141] E: updater.log:5649, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.392196] E: updater.log:5650, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.392246] E: updater.log:5651, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.392293] E: updater.log:5652, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.392340] E: updater.log:5653, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.392388] E: updater.log:5654, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.392434] E: updater.log:5655, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.392484] E: updater.log:5656, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.392531] E: updater.log:5657, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.392579] E: updater.log:5658, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.392628] E: updater.log:5659, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.392675] E: updater.log:5721, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.392722] E: updater.log:5722, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.392769] E: updater.log:5723, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.392815] E: updater.log:5724, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.392862] E: updater.log:5725, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.392909] E: updater.log:5726, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.392956] E: updater.log:5727, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.393003] E: updater.log:5728, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.393049] E: updater.log:5729, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.393097] E: updater.log:5730, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.393145] E: updater.log:5731, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.393192] E: updater.log:5732, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.393270] E: updater.log:5739, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.393319] E: updater.log:5740, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.393365] E: updater.log:5741, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.393413] E: updater.log:5742, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.393459] E: updater.log:5743, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.393508] E: updater.log:5744, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.393556] E: updater.log:5745, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.393607] E: updater.log:5746, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.393655] E: updater.log:5747, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.393702] E: updater.log:5748, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.393749] E: updater.log:5749, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.393795] E: updater.log:5750, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.393843] E: updater.log:5847, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.393891] E: updater.log:5848, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.393938] E: updater.log:5849, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.393984] E: updater.log:5850, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.394031] E: updater.log:5851, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.394078] E: updater.log:5852, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.394125] E: updater.log:5853, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.394171] E: updater.log:5854, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.394218] E: updater.log:5855, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.394265] E: updater.log:5856, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.394311] E: updater.log:5857, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.394358] E: updater.log:5858, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.394405] E: updater.log:5864, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.394451] E: updater.log:5865, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.394500] E: updater.log:5866, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.394546] E: updater.log:5867, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.394593] E: updater.log:5868, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.394640] E: updater.log:5869, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.419245] E: updater.log:5870, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.419270] E: updater.log:5871, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.419282] E: updater.log:5872, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.419292] E: updater.log:5873, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.419304] E: updater.log:5874, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.419314] E: updater.log:5875, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.419324] E: updater.log:5883, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.419333] E: updater.log:5884, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.419358] E: updater.log:5885, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.419369] E: updater.log:5886, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.419379] E: updater.log:5887, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.419389] E: updater.log:5888, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.419399] E: updater.log:5889, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.419408] E: updater.log:5890, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.419418] E: updater.log:5891, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.419428] E: updater.log:5892, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.419446] E: updater.log:5893, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.419456] E: updater.log:5894, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.419466] E: updater.log:6060, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.419476] E: updater.log:6061, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.419487] E: updater.log:6062, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.419496] E: updater.log:6063, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.419506] E: updater.log:6064, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.419543] E: updater.log:6065, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.419556] E: updater.log:6066, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.419566] E: updater.log:6067, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.419576] E: updater.log:6068, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.419585] E: updater.log:6069, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.419595] E: updater.log:6070, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.419605] E: updater.log:6071, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.419615] E: updater.log:6131, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.419634] E: updater.log:6132, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.419644] E: updater.log:6133, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.419654] E: updater.log:6134, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.419664] E: updater.log:6135, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.419673] E: updater.log:6136, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.419683] E: updater.log:6137, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.419692] E: updater.log:6138, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.419703] E: updater.log:6139, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.419721] E: updater.log:6140, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.419746] E: updater.log:6141, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.419758] E: updater.log:6142, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.419768] E: updater.log:6166, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.419777] E: updater.log:6167, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.419787] E: updater.log:6168, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.419797] E: updater.log:6169, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.419816] E: updater.log:6170, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.419827] E: updater.log:6171, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.419837] E: updater.log:6172, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.419847] E: updater.log:6173, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.419859] E: updater.log:6174, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.419869] E: updater.log:6175, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.419879] E: updater.log:6176, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.419888] E: updater.log:6177, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.419918] E: updater.log:6230, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.419931] E: updater.log:6231, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.419941] E: updater.log:6232, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.419951] E: updater.log:6233, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.419962] E: updater.log:6234, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.419972] E: updater.log:6235, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.419982] E: updater.log:6236, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.420003] E: updater.log:6237, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.420014] E: updater.log:6238, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.420023] E: updater.log:6239, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.420033] E: updater.log:6240, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.420043] E: updater.log:6241, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.420053] E: updater.log:6330, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.420062] E: updater.log:6331, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.420072] E: updater.log:6332, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.420091] E: updater.log:6333, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.420102] E: updater.log:6334, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.420112] E: updater.log:6335, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.420121] E: updater.log:6336, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.420131] E: updater.log:6337, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.420143] E: updater.log:6338, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.420153] E: updater.log:6339, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.420163] E: updater.log:6340, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.420180] E: updater.log:6341, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.420191] E: updater.log:6401, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.420201] E: updater.log:6402, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.420212] E: updater.log:6403, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.420221] E: updater.log:6404, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.420231] E: updater.log:6405, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.420241] E: updater.log:6406, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.420271] E: updater.log:6407, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.420284] E: updater.log:6408, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.420294] E: updater.log:6409, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.420304] E: updater.log:6410, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.420313] E: updater.log:6411, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.420323] E: updater.log:6412, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.420333] E: updater.log:6427, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.420342] E: updater.log:6428, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.420361] E: updater.log:6429, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.420372] E: updater.log:6430, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.420381] E: updater.log:6431, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.420391] E: updater.log:6432, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.420401] E: updater.log:6433, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.420410] E: updater.log:6434, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.420420] E: updater.log:6435, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.420429] E: updater.log:6436, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.420447] E: updater.log:6437, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.420458] E: updater.log:6438, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.420468] E: updater.log:6442, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.420478] E: updater.log:6443, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.420487] E: updater.log:6444, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.420498] E: updater.log:6445, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.420508] E: updater.log:6446, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.420528] E: updater.log:6447, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.420539] E: updater.log:6448, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.420548] E: updater.log:6449, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.420558] E: updater.log:6450, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.420567] E: updater.log:6451, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.420577] E: updater.log:6452, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.420587] E: updater.log:6453, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.420596] E: updater.log:6460, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.420622] E: updater.log:6461, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.420634] E: updater.log:6462, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.420644] E: updater.log:6463, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.420654] E: updater.log:6464, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.420663] E: updater.log:6465, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.420673] E: updater.log:6466, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.420682] E: updater.log:6467, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.420702] E: updater.log:6468, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.420713] E: updater.log:6469, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.420723] E: updater.log:6470, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.420732] E: updater.log:6471, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.420742] E: updater.log:6480, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.420751] E: updater.log:6481, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.420761] E: updater.log:6482, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.420770] E: updater.log:6483, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.420788] E: updater.log:6484, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.420801] E: updater.log:6485, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.420810] E: updater.log:6486, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.420821] E: updater.log:6487, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.420831] E: updater.log:6488, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.420841] E: updater.log:6489, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.420851] E: updater.log:6490, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.420861] E: updater.log:6491, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.420877] E: updater.log:6496, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.420888] E: updater.log:6497, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.420898] E: updater.log:6498, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.420908] E: updater.log:6499, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.420917] E: updater.log:6500, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.420927] E: updater.log:6501, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.420937] E: updater.log:6502, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.420967] E: updater.log:6503, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.420979] E: updater.log:6504, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.420989] E: updater.log:6505, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.420999] E: updater.log:6506, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.421009] E: updater.log:6507, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.421018] E: updater.log:6518, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.421028] E: updater.log:6519, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.421038] E: updater.log:6520, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.421056] E: updater.log:6521, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.421066] E: updater.log:6522, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.421076] E: updater.log:6523, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.421085] E: updater.log:6524, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.421095] E: updater.log:6525, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.421104] E: updater.log:6526, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.421114] E: updater.log:6527, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.421123] E: updater.log:6528, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.421141] E: updater.log:6529, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.421152] E: updater.log:6535, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.421161] E: updater.log:6536, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.421171] E: updater.log:6537, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.421184] E: updater.log:6538, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.421193] E: updater.log:6539, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.421204] E: updater.log:6540, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.421222] E: updater.log:6541, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.421233] E: updater.log:6542, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.421245] E: updater.log:6543, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.421255] E: updater.log:6544, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.421265] E: updater.log:6545, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.421275] E: updater.log:6546, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.421284] E: updater.log:6672, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.421294] E: updater.log:6673, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.421322] E: updater.log:6674, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.421334] E: updater.log:6675, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.421344] E: updater.log:6676, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.421354] E: updater.log:6677, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.421363] E: updater.log:6678, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.421373] E: updater.log:6679, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.421383] E: updater.log:6680, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.421402] E: updater.log:6740, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.421413] E: updater.log:6741, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.421422] E: updater.log:6742, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.421432] E: updater.log:6743, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.421442] E: updater.log:6744, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.421451] E: updater.log:6745, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.421461] E: updater.log:6746, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.421470] E: updater.log:6747, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.421489] E: updater.log:6748, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.421500] E: updater.log:6792, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.421510] E: updater.log:6793, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.421522] E: updater.log:6794, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.421532] E: updater.log:6795, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.421542] E: updater.log:6796, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.421551] E: updater.log:6797, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.421561] E: updater.log:6798, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.421578] E: updater.log:6799, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.421588] E: updater.log:6800, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.421601] E: updater.log:6812, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.421611] E: updater.log:6813, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.421620] E: updater.log:6814, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.421630] E: updater.log:6815, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.421640] E: updater.log:6816, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.421668] E: updater.log:6817, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.421680] E: updater.log:6818, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.421690] E: updater.log:6819, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.421700] E: updater.log:6820, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.421710] E: updater.log:6885, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.421719] E: updater.log:6886, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.421729] E: updater.log:6887, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.421739] E: updater.log:6888, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.421757] E: updater.log:6889, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.421768] E: updater.log:6890, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.421778] E: updater.log:6891, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.421787] E: updater.log:6892, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.421798] E: updater.log:6893, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.421808] E: updater.log:6940, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.421818] E: updater.log:6941, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.421827] E: updater.log:6942, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.421844] E: updater.log:6943, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.421855] E: updater.log:6944, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.421865] E: updater.log:6945, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:03.421875] E: updater.log:6946, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:03.421884] E: updater.log:6947, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:03.421894] E: updater.log:6948, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:04.139166]
[2015-10-30 16:04:04.139204]Errors found in '/var/log/univention/listener.log':
[2015-10-30 16:04:04.139235]
[2015-10-30 16:04:04.139287] E: listener.log:296, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:04.139337] E: listener.log:297, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:04.139389] E: listener.log:298, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:04.139437] E: listener.log:299, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:04.139512] E: listener.log:300, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:04.139562] E: listener.log:301, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:04.139609] E: listener.log:302, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:04.139656] E: listener.log:303, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:04.139703] E: listener.log:304, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:04.139773] E: listener.log:305, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:04.139824] E: listener.log:306, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:04.139873] E: listener.log:307, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:04.139920] E: listener.log:308, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:04.139967] E: listener.log:309, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:04.140014] E: listener.log:310, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:04.140061] E: listener.log:311, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:04.140107] E: listener.log:312, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:04.140154] E: listener.log:313, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:04.140200] E: listener.log:314, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:04.140246] E: listener.log:315, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:04.140296] E: listener.log:316, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:04.167770] E: listener.log:317, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:04.167833] E: listener.log:318, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:04.167884] E: listener.log:319, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:04.167932] E: listener.log:357, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:04.167979] E: listener.log:358, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:04.168026] E: listener.log:359, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:04.168072] E: listener.log:360, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:04.168119] E: listener.log:361, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:04.168165] E: listener.log:362, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:04.168212] E: listener.log:363, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:04.168259] E: listener.log:364, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:04.168305] E: listener.log:365, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:04.168352] E: listener.log:366, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:04.168399] E: listener.log:367, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:04.168467] E: listener.log:368, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:04.168516] E: listener.log:369, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:04.168563] E: listener.log:370, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:04.168611] E: listener.log:371, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:04.168657] E: listener.log:372, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:04.168708] E: listener.log:373, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:04.168756] E: listener.log:374, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:04.168808] E: listener.log:375, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:04.168855] E: listener.log:376, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:04.168903] E: listener.log:377, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:04.168949] E: listener.log:378, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:04.168996] E: listener.log:379, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:04.169042] E: listener.log:380, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_ident.conf.d/00-pg_ident.conf
[2015-10-30 16:04:04.169089] E: listener.log:381, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/00-pg_hba.conf
[2015-10-30 16:04:04.169136] E: listener.log:382, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/99-pg_hba.conf
[2015-10-30 16:04:04.169183] E: listener.log:383, Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_ident.conf.d/00-pg_ident.conf
Comment 4 Janek Walkenhorst univentionstaff 2015-11-02 19:05:22 CET
During the upgrade the old conffiles are removed

[…]
Vorbereitung zum Ersetzen von univention-postgresql 7.0.0-4.74.201407211112 (durch .../univention-postgresql_8.0.0-6.81.20151
0271732_all.deb) ...
Moving obsolete conffile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/00-pg_hba.conf out of the way.
..
Moving obsolete conffile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/99-pg_hba.conf out of the way.
..
Moving obsolete conffile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_ident.conf.d/00-pg_ident.conf out of the
way...
Moving obsolete conffile /etc/univention/templates/files/etc/postgresql/7.4/main/postgresql.conf out of the way...
Moving obsolete conffile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/00-pg_hba.conf out of the way.
..
Moving obsolete conffile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/99-pg_hba.conf out of the way.
..
Moving obsolete conffile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_ident.conf.d/00-pg_ident.conf out of the
way...
Moving obsolete conffile /etc/univention/templates/files/etc/postgresql/8.3/main/postgresql.conf out of the way...
Moving obsolete conffile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/00-pg_hba.conf out of the way.
..
Moving obsolete conffile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/99-pg_hba.conf out of the way.
..
Moving obsolete conffile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_ident.conf.d/00-pg_ident.conf out of the
way...
Moving obsolete conffile /etc/univention/templates/files/etc/postgresql/8.4/main/postgresql.conf out of the way...
Moving obsolete conffile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_hba.conf.d/00-pg_hba.conf out of the way.
..
Moving obsolete conffile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_hba.conf.d/99-pg_hba.conf out of the way.
..
Moving obsolete conffile /etc/univention/templates/files/etc/postgresql/9.1/main/pg_ident.conf.d/00-pg_ident.conf out of the
way...
Moving obsolete conffile /etc/univention/templates/files/etc/postgresql/9.1/main/postgresql.conf out of the way...
Ersatz für univention-postgresql wird entpackt ...
[…]

but they are still referenced in the UCR info files, thus leading to the error messages:

[…]
W: failed to convert the username messagebus to the uid
Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/00-pg_hba.conf
Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/99-pg_hba.conf
Failed to process Subfile /etc/univention/templates/files/etc/postgresql/7.4/main/pg_ident.conf.d/00-pg_ident.conf
Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/00-pg_hba.conf
Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/99-pg_hba.conf
Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.3/main/pg_ident.conf.d/00-pg_ident.conf
Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/00-pg_hba.conf
Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/99-pg_hba.conf
Failed to process Subfile /etc/univention/templates/files/etc/postgresql/8.4/main/pg_ident.conf.d/00-pg_ident.conf
[…]

once univention-postgresql is fully configured, the new UCR info files do not reference the old files anymore, thus the error messages are gone:

[…]
univention-postgresql (8.0.0-6.81.201510271732) wird eingerichtet ...
Neue Version der Konfigurationsdatei /etc/univention/service.info/services/univention-postgresql.cfg wird installiert ...
Neue Version der Konfigurationsdatei /etc/univention/templates/info/univention-postgresql.info wird installiert ...
Neue Version der Konfigurationsdatei /etc/univention/registry.info/variables/univention-postgresql.cfg wird installiert ...
W: failed to convert the username messagebus to the uid
[…]

therefore it is only a transient/spurious message during the upgrade.
Comment 5 Stefan Gohmann univentionstaff 2015-11-04 15:04:42 CET
(In reply to Janek Walkenhorst from comment #4)
> therefore it is only a transient/spurious message during the upgrade.

OK, the messages are now ignored by ucs-test: r65175
Comment 6 Philipp Hahn univentionstaff 2015-11-05 19:03:52 CET
OK: r64607 r64897 r64898 r64899 r64900 r64902
OK: r65175

OK: 3.2 -> 4.0 -> 4.1
 via <http://sdb.univention.de/1292>
OK: As postgresql-8.4 is removed in UCS-4.1, that part could be removed. But as this can be ignored by UCRV "update41/ignore_postgresql84", that part must stay (Bug #39366)

OK: 4.0 -> 4.1
 # dpkg-query -W univention-postgre\*
 univention-postgresql   8.0.0-6.81.201510271732
 univention-postgresql-8.4
 univention-postgresql-9.1       8.0.0-6.81.201510271732

OK: ls /etc/postgresql/?.?/main/

OK: univention-pkgdb-scan

FAIL: /etc/univention/templates/info/univention-pkgdb.info still contains the "multifile" entry - all those etc/postgresql/?.?/main/pg_hba.conf.d/10-pg_hba.conf are still created! -> new Bug

OK:
 adduser phahn
 su - postgres -c 'createuser --adduser --no-createdb phahn'
 su - postgres -c 'createdb -O phahn phahn'
 su - phahn -c 'psql phahn' < repository-layout.sql

OK:
 apt-get remove univention-pkgdb postgres\* univention-postgres\*
 univention-install univention-bacula
 install -d -o bacula -g bacula /nonexistant/path/to/file/archive/dir
 bconsole
  label
   2nd
   File
  run
   BackupClient1
   yes
  status
   Client
 apt-get remove univention-bacula
 apt-get autoremove
 apt-get install univention-bacula

FAIL: Missing ChangeLog entry.
Comment 7 Philipp Hahn univentionstaff 2015-11-06 14:53:09 CET
FAIL: 3.2 -> 4.0 -> 4.1
 ucr set update41/ignore_postgresql84=true


Starting PostgreSQL 9.1 database server: mainError: /var/lib/postgresql/9.1/main is not accessible or does not exist ... failed!
 failed!
invoke-rc.d: initscript postgresql, action "start" failed.
dpkg: Fehler beim Bearbeiten von postgresql-9.1 (--configure):
 Unterprozess installiertes post-installation-Skript gab den Fehlerwert 1 zurück
Fehler traten auf beim Bearbeiten von:
 postgresql-9.1

$ bash -x /var/lib/dpkg/info/postgresql-9.1.postinst configure ""
...
+ . /usr/share/postgresql-common/maintscripts-functions
+ configure_version 9.1 ''
+ VERSION=9.1
+ '[' 9.1 ']'
+ '[' '!' -d /etc/postgresql/9.1 ']'
++ ls /etc/postgresql/9.1
+ '[' -z main ']'
++ ls /etc/postgresql/9.1/main/postgresql.conf
+ '[' -z /etc/postgresql/9.1/main/postgresql.conf ']'
...

# grep templates /etc/postgresql/9.1/main/postgresql.conf 
#       /etc/univention/templates/files/etc/postgresql/9.1/main/postgresql.conf

# ls -l /etc/univention/templates/files/etc/postgresql/9.1/main/
insgesamt 28
drwxr-xr-x 2 root root  4096 Nov  6 13:04 pg_hba.conf.d
drwxr-xr-x 2 root root  4096 Nov  6 13:04 pg_ident.conf.d
-rw-r--r-- 1 root root 17310 Jul 21  2014 postgresql.conf.dpkg-remove

# dpkg-divert --list | grep postgresql.conf
lokale Umleitung von /etc/postgresql/9.1/main/postgresql.conf zu /etc/postgresql/9.1/main/postgresql.conf.debian
lokale Umleitung von /etc/postgresql/7.4/main/postgresql.conf zu /etc/postgresql/7.4/main/postgresql.conf.debian
lokale Umleitung von /etc/postgresql/8.4/main/postgresql.conf zu /etc/postgresql/8.4/main/postgresql.conf.debian
lokale Umleitung von /etc/postgresql/8.3/main/postgresql.conf zu /etc/postgresql/8.3/main/postgresql.conf.debian

# find /etc/univention/templates -type f -exec grep postgresql.conf {} +
/etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/99-pg_hba.conf.dpkg-remove:# "tcpip_socket" in /etc/postgresql/postgresql.conf.
/etc/univention/templates/info/univention-postgresql.info:File: etc/postgresql/7.4/main/postgresql.conf
/etc/univention/templates/info/univention-postgresql.info:File: etc/postgresql/8.3/main/postgresql.conf
/etc/univention/templates/info/univention-postgresql.info:File: etc/postgresql/8.4/main/postgresql.conf
/etc/univention/templates/info/univention-postgresql.info:File: etc/postgresql/9.1/main/postgresql.conf

# LANG=C dpkg -l univention-postgresql postgresql-8.4 postgresql-9.1
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name                    Version          Architecture     Description
+++-=======================-================-================-===================================================
ii  postgresql-8.4          8.4.22lts4-0.26. amd64            object-relational SQL database, version 8.4 server
iF  postgresql-9.1          9.1.16-0.10.2015 amd64            object-relational SQL database, version 9.1 server
iU  univention-postgresql   8.0.0-6.81.20151 all              UCS - PostgreSQL configuration


The problem is:
# dpkg -I univention-postgresql_8.0.0-6.81.201510271732_all.deb
 Depends: ... univention-postgresql-9.1 | univention-postgresql-8.4 ...
# dpkg -I univention-postgresql-9.1_8.0.0-6.81.201510271732_all.deb
 Pre-Depends: postgresql-9.1

While "univention-postgresql" can be upgraded in the same batch as "univention-postgresql-9.1" is installed, the pre-depends forced "dpkg" to install *and* *configure* "postgresql-9.1".
So "dpkg" has only unpacked the new "univention-postgresql" and has run its "preinst" script, but not yet moved the new .dpkg-new to the final location.
So the *old* info file is still active, which provides the "postgresql.conf" file.
So postgresql-9.1 postinst finds the config file and skips creating the new cluster.

...
Inst postgresql-9.1 (9.1.16-0.10.201510311538 Univention:apt.knut.univention.de [amd64])
Inst univention-postgresql [7.0.0-4.74.201407211112] (8.0.0-6.81.201510271732 Univention:apt.knut.univention.de [all]) []
...
Conf postgresql-9.1 (9.1.16-0.10.201510311538 Univention:apt.knut.univention.de [amd64]) []
Inst univention-postgresql-9.1 (8.0.0-6.81.201510271732 Univention:apt.knut.univention.de [all])
...
Conf univention-postgresql-9.1 (8.0.0-6.81.201510271732 Univention:apt.knut.univention.de [all])
Conf univention-postgresql (8.0.0-6.81.201510271732 Univention:apt.knut.univention.de [all])


Options:

1. Put "univention-postgresql-8.4" before "univention-postgresql-9.1" in the dependencies of "univention-postgresql".
That way the UCS system will stay with 8.4 during an update if 8.4 is still installed.
But a new install will still use 9.1, as the 8.4 is not available and thus not installable.


2. Upgrade "univention-postgres" in the preup.sh to get the fixed version installed before postgresql-9.1 is installed.

univention-upgrade --ignoressh --ignoreterm --noninteractive --updateto 4.0-99 </dev/null
ucr set version/version=4.1 version/patchlevel=0
univention-install univention-postgresql univention-postgresql-8.4
ucr set version/version=4.0 version/patchlevel=4 update41/ignore_postgresql84=true
univention-upgrade --ignoressh --ignoreterm --noninteractive --updateto 4.1-99 </dev/null
univention-install postgresql-9.1  ## FAILS because of "/usr/bin/pg_createcluster -u postgres 9.1 main" failing!

/usr/bin/pg_createcluster:
278 error 'cluster configuration already exists'
279     if -e "$confdir/postgresql.conf" || -e "$confdir/pg_hba.conf";

So even the "pg_hba.conf" is a problem! In my case this is caused by "/etc/univention/templates/info/univention-pkgdb.info" still providing the "multifile" master entries.


3. Try to move the config into a "univention-postgresql-common" package, pre-depend on that from the "univention-postgresql-$VER" packages and _hope_ that dpkg will unpack and configure the common package before the others.
Moving the conffile is actually not well supported and might have several corner cases: <https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=672945>


FYI: Some UCRV in debian/univention-postgresql*.univention* are named PostgreSQL *8*, others *9*, but actually control both. They should be changed to name both 8 *and* 9.
Comment 8 Philipp Hahn univentionstaff 2015-11-06 14:55:16 CET
Created attachment 7263 [details]
Prefer 8.4 before 9.1

If you also update univention-pkgdb to no provide the multifile entries, you should also add
 Breaks: univention-pkgdb (<< $some_version)
to force the upgrade of univention-pkgdb before postgresql-9.1 is installed.

univention-config-registry is the meta-package; if you only need "/usr/sbin/ucr", univention-config is enough.
Comment 9 Janek Walkenhorst univentionstaff 2015-11-06 17:50:14 CET
r65288

univention-bacula (7.0.1-2) unstable; urgency=medium
univention-pkgdb (9.0.1-2) unstable; urgency=medium

  * remove multifile entry from UCR specification, to only generate
     files for the correct postgresql version (Bug #39595)

univention-postgresql
  add breaks to force the upgrade of univention-{pkgdb,bacula} before
  postgresql-9.1 is installed

r65289

Bug #39595: univention-postgresql fix dependency

r65290

univention-postgresql (8.0.0-7)

   Bug #39595: depend on 8.4 meta package first to not install 9.1 when upgrading with 8.4 installed

r65295

univention-bacula (7.0.1-3) unstable; urgency=medium
univention-pkgdb (9.0.1-3) unstable; urgency=medium

Bug #39595: add univention-config-registry update to let UCR remove
the generated files for the multifile templates

r65296

changelog entry for Bug #39595
Comment 10 Felix Botner univentionstaff 2015-11-10 15:25:48 CET
*** Bug 39858 has been marked as a duplicate of this bug. ***
Comment 11 Felix Botner univentionstaff 2015-11-10 15:26:12 CET
UCS 4.0-4 master

update -> 4.1-0
updater.log:
** Starting: apt-get -s -o Debug::pkgProblemResolver=yes dist-upgrade
Reading package lists...
Building dependency tree...
Reading state information...
Starting
Starting 2
Investigating (0) univention-postgresql [ amd64 ] < 7.0.0-4.74.201407211112 -> 8.0.0-7.82.201511061618 > ( univention )
Broken univention-postgresql:amd64 Depends on univention-postgresql-8.4 [ amd64 ] < none -> 8.0.0-7.82.201511061618 > ( univention )
  Considering univention-postgresql-8.4:amd64 1 as a solution to univention-postgresql:amd64 2
  Holding Back univention-postgresql:amd64 rather than change univention-postgresql-8.4:amd64
Broken univention-postgresql:amd64 Depends on univention-postgresql-9.1 [ amd64 ] < none -> 8.0.0-7.82.201511061618 > ( univention )
  Considering univention-postgresql-9.1:amd64 1 as a solution to univention-postgresql:amd64 2
  Holding Back univention-postgresql:amd64 rather than change univention-postgresql-9.1:amd64
  Or group keep for univention-postgresql:amd64
 Try to Re-Instate (1) univention-postgresql:amd64
Done


...
The following packages have been kept back:
  univention-postgresql
Comment 12 Philipp Hahn univentionstaff 2015-11-11 12:32:49 CET
FYI: There still is the problem of 8.4 and 9.1 both using the same TCP port 5432:
> Restarting PostgreSQL 9.1 database server: mainError: Port conflict: another instance is already running on /var/run/postgresql with port 5432 ... failed!

But at least 
 # /etc/init.d/postgresql stop 8.4
 Stopping PostgreSQL 8.4 database server: main.
 # /etc/init.d/postgresql start 9.1
 Starting PostgreSQL 9.1 database server: main.

FAIL: Purging and re-installing fails (Bug #31162):
 After purging "/etc/univention/templates/removed/univention-postgresql.info" exists, which is re-installed and *not* updated:
> postgresql-9.1 (9.1.16-0.10.201510311538) wird eingerichtet ...
> Error: cluster configuration already exists
> Error: could not create default cluster. Please create it manually with
>
>   pg_createcluster 9.1 main --start
>
> or a similar command (see 'man pg_createcluster').
...
> Restarting PostgreSQL 9.1 database server: mainError: /var/lib/postgresql/9.1/main is not accessible or does not exist ... failed!
>  failed!
> invoke-rc.d: initscript postgresql, action "restart" failed.
...
> Konfigurationsdatei »/etc/univention/templates/info/univention-postgresql.info«
>  ==> Datei auf System wurde von Ihnen oder von einem Skript angelegt.
>  ==> Datei auch in Paket vom Paket-Betreuer bereitgestellt.
>  ==> Wie gefordert wird die momentane alte Datei verwendet.

This happens because my moving it to "/etc/univention/templates/removed/" dpkg looses track if the file: On re-installation its a new file for dpkg, but the file is placed there by our /var/lib/dpkg/info/univention-postgresql.preinst:
> if [ "$1" = "install" ]; then
>   [ -e /etc/univention/templates/removed/univention-postgresql.info ] && mv /etc/univention/templates/removed/univention-postgresql.info /etc/univention/templates/info/univention-postgresql.info || true
> fi

Also some files remain after purging, which prevent re-installation:
# ls -l /etc/postgresql/?.?/main/*
-rw-r--r-- 1 root root 0 Nov 10 11:37 /etc/postgresql/7.4/main/pg_hba.conf
-rw-r--r-- 1 root root 0 Nov 10 11:37 /etc/postgresql/8.3/main/pg_hba.conf
-rw-r--r-- 1 root root 0 Nov 10 11:37 /etc/postgresql/9.1/main/pg_hba.conf

Those files are created by /var/lib/dpkg/info/univention-postgresql.postrm due to Bug #27786.
Recommendation:
- remove that postrm
- delete those empty pg_hba.conf files in univention-postgresql.preinst on `dpkg --compare-versions "$2" lt 8` # not lt-nl!
  dpkg --compare-versions "" lt 8 && find /etc/postgresql/[78].[0-9]/main/pg_hba.conf -empty -delete
Comment 13 Janek Walkenhorst univentionstaff 2015-11-11 14:46:37 CET
r65410

Bug #39595: do not use Pre-Depends for postgresql depedency

r65411

Bug #39595: do not create empty pg_hba.conf on remove

r65412
r65414

Bug #39595: remove empty pg_hba.conf on installation or upgrade

r65413

Bug #39595: manually upgrade univention-postgresql if it was held back
Comment 14 Philipp Hahn univentionstaff 2015-11-13 13:56:30 CET
FIXED: r65443
  aptitude purge univention-pkgdb univention-postgresql postgresql-8.4 postgresql-common univention-management-console-module-pkgdb
  univention-upgrade --ignoressh --ignoreterm --noninteractive --updateto 4.1-99 </dev/null
  univention-install univention-postgresql

OK: 
 install -d -o bacula -g bacula /nonexistant/path/to/file/archive/dir
 bconsole
  label volume=2nd pool=File
  run job=BackupClient1 yes
  status client=BackupClient1

FAIL:
  apt-get remove univention-postgresql postgresql-8.4
  univention-upgrade --ignoressh --ignoreterm --noninteractive --updateto 4.1-99 </dev/null
  univention-install univention-postgresql

  lsof -a -p $(</var/run/postgresql/9.1-main.pid) -d 3
COMMAND    PID     USER   FD   TYPE DEVICE SIZE/OFF NODE NAME
postgres 15948 postgres    3u  IPv6 254395      0t0  TCP localhost:5433 (LISTEN)

  head -n 3 /etc/postgresql/9.1/main/postgresql.conf
# -----------------------------
# PostgreSQL configuration file
# -----------------------------

  !!! no longer an UCR template !!!

  find /etc/univention -path \*postgres\* -type f
/etc/univention/registry.info/variables/univention-postgresql.cfg
/etc/univention/registry.info/variables/univention-postgresql-9.1.cfg
/etc/univention/templates/files/etc/pam.d/postgresql
/etc/univention/templates/files/etc/cron.d/postgresql
/etc/univention/templates/files/etc/postgresql/pam_ldap.conf
/etc/univention/templates/files/etc/postgresql/8.4/main/pg_hba.conf.d/10-pg_hba.conf
/etc/univention/templates/files/etc/postgresql/7.4/main/pg_hba.conf.d/10-pg_hba.conf
/etc/univention/templates/files/etc/postgresql/8.3/main/pg_hba.conf.d/10-pg_hba.conf
/etc/univention/templates/files/etc/postgresql/9.1/main/pg_hba.conf.d/10-pg_hba.conf
/etc/univention/templates/info/univention-postgresql.info
/etc/univention/templates/info/univention-postgresql-9.1.info
/etc/univention/service.info/services/univention-postgresql.cfg


  Output of univention-upgrade:

Vormals nicht ausgewähltes Paket univention-postgresql-9.1 wird gewählt.
Entpacken von univention-postgresql-9.1 (aus .../univention-postgresql-9.1_8.0.0-9.84.201511121245_all.deb) ...
Vormals nicht ausgewähltes Paket univention-postgresql wird gewählt.
Entpacken von univention-postgresql (aus .../univention-postgresql_8.0.0-9.84.201511121245_all.deb) ...
...
Moving obsolete conffile /etc/univention/templates/files/etc/postgresql/9.1/main/postgresql.conf out of the way...
...
postgresql-9.1 (9.1.16-0.10.201510311538) wird eingerichtet ...
...
Moving configuration file /var/lib/postgresql/9.1/main/postgresql.conf to /etc/postgresql/9.1/main...
...
univention-postgresql-9.1 (8.0.0-9.84.201511121245) wird eingerichtet ...
...
File: /etc/postgresql/9.1/main/postgresql.conf
The referenced template file does not exist
...
Removing obsolete conffile /etc/univention/templates/files/etc/postgresql/9.1/main/postgresql.conf ...

  dpkg-query -W -f '${Conffiles}\n\n' univention-postgresql univention-postgresql-9.1
 /etc/univention/service.info/services/univention-postgresql.cfg 86e927a0bec30ef6cf9299638fab287c
 /etc/univention/templates/files/etc/postgresql/pam_ldap.conf 1d2909f9680c9f1bd45905a80fe75f79
 /etc/univention/templates/files/etc/pam.d/postgresql 84f4c55188aa4f664a458f7036e154f7
 /etc/univention/templates/files/etc/cron.d/postgresql 12adc0fc79bcf6b1057e828aa1c3af6f
 /etc/univention/templates/info/univention-postgresql.info ad863b7e58c5f73158856c5c20d8fc4d
 /etc/univention/registry.info/variables/univention-postgresql.cfg fb61d858ebfd93f0e67f7691d80dc7e8

 /etc/univention/templates/files/etc/postgresql/9.1/main/pg_hba.conf.d/00-pg_hba.conf c081d22d9f9b65a201cea42ec871fb7a
 /etc/univention/templates/files/etc/postgresql/9.1/main/pg_hba.conf.d/99-pg_hba.conf c080ce46c88674d2cb2ba386bfb710bc
 /etc/univention/templates/files/etc/postgresql/9.1/main/pg_ident.conf.d/00-pg_ident.conf 512329237d2129b8a9d3ed83921a6495
 /etc/univention/templates/files/etc/postgresql/9.1/main/postgresql.conf 9236a2f3030356d28a0f72ab088c62c0
 /etc/univention/templates/info/univention-postgresql-9.1.info 5b2eb28532dca5316ccfa0dcdbdc1971
 /etc/univention/registry.info/variables/univention-postgresql-9.1.cfg 95de99280d54408a71d8bd3f1812460d

The same problem was recently discussed in <https://lists.debian.org/debian-devel/2015/03/msg00218.html>
<https://lists.debian.org/debian-devel/2012/02/msg00349.html> has
Comment 15 Janek Walkenhorst univentionstaff 2015-11-13 14:46:02 CET
r65491

Bug #39595:

Problem:

As the old univention-postgres and new univention-postgresql-X.Y
packages contain the same UCR templates files (same MD5 hash),
dpkg-maintscript-helper removed the files now owned by the u-p-X.Y
packages.

Resolution:

Make the call to "dpkg-maintscript-helper" conditional and remove the
files only if they are still owned by "univention-postgresql".
 IOW
only rm_conffile $conf if it is still owned by univention-postgresql,
otherwise we could rm_conffile it from e.g. univention-postgresql-9.1
Comment 16 Philipp Hahn univentionstaff 2015-11-13 17:54:01 CET
FYI: If pkgdb is de-installed and the re-installed after the upgrade (which switches from PostgreSQL-8.4 to 9.1), univention-pkgdb isn't configured properly. This is due to the "pkgdb" being purged. Invoking "/var/lib/dpkg/info/univention-pkgdb.postinst configure ''" manually fixed the problem. The script assumes an update and does not re-create the DB.

OK: remove -> upgrade -> install
OK: update41/ignore_postgresql84 -> upgrade
OK: install -> upgrade
OK: upgrade -> install
OK: purge -> upgrade -> install
OK: r65491
OK: univention-pkgdb-scan
OK: univention-bacula
Comment 17 Stefan Gohmann univentionstaff 2015-11-17 12:12:20 CET
UCS 4.1 has been released:
 https://docs.software-univention.de/release-notes-4.1-0-en.html
 https://docs.software-univention.de/release-notes-4.1-0-de.html

If this error occurs again, please use "Clone This Bug".
Comment 18 Stefan Gohmann univentionstaff 2015-11-17 12:40:19 CET
*** Bug 37417 has been marked as a duplicate of this bug. ***